BubbleShop
  1. API References
  • Guides
    • Introduction
    • Key Features
    • Getting started
  • API References
    • Account
      GET
    • Product
      GET
    • Service
      GET
    • Order
      POST
    • Status
      GET
    • Nickname
      GET
  • Webhook
    • Notifications
  • Information
    • List Game
    • Status Code
    • How To Create Signature
  1. API References

Order

POST
/api/order
This endpoint is used to create a new game top-up transaction. It deducts the user's balance and processes the order in real-time. To prevent duplicate transactions, you must provide a unique ref_id. All requests to this endpoint must be strictly secured using an HMAC-SHA256 signature. Check how to generate signature here.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://topup.haibubble.com/api/order' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "service_code": "BSML301E881",
    "ref_id": "TRX20260301070",
    "account_identifier": {
        "user_id": "123456789",
        "zone": "1234"
    },
    "signature": "b94ed3040056xxxxxx"
}'
Response Response Example
{
    "status": 200,
    "success": true,
    "message": "Transaction created successfully",
    "data": {
        "ref_id": "TRX20260301070",
        "order_id": "BSD21BDE12D5",
        "service_code": "BSML301E881",
        "service_name": "Weekly Diamond Pass",
        "account_identifier": {
            "user_id": "123456789",
            "zone": "1234",
            "nickname": "Gula"
        },
        "price": 28616,
        "status": "Process",
        "purchase_time": "2026-03-01T02:39:24+07:00"
    }
}
Modified at 2026-03-07 01:34:52
Previous
Service
Next
Status
Built with